<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: CExit Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classCExit-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CExit Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>represents exit, place where attackers are heading  
 <a href="classCExit.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="entities_8h_source.html">entities.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for CExit:</div>
<div class="dyncontent">
<div class="center"><img src="classCExit__inherit__graph.png" border="0" usemap="#CExit_inherit__map" alt="Inheritance graph"/></div>
<map name="CExit_inherit__map" id="CExit_inherit__map">
<area shape="rect" id="node2" href="classCEntity.html" title="Abstract class, used to store entities to map. " alt="" coords="5,5,72,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for CExit:</div>
<div class="dyncontent">
<div class="center"><img src="classCExit__coll__graph.png" border="0" usemap="#CExit_coll__map" alt="Collaboration graph"/></div>
<map name="CExit_coll__map" id="CExit_coll__map">
<area shape="rect" id="node2" href="classCEntity.html" title="Abstract class, used to store entities to map. " alt="" coords="5,5,72,32"/>
<area shape="rect" id="node3" href="structTCoord.html" title="Coordinates, row and col. " alt="" coords="97,5,162,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a324dadf4a761710bbd25ddb1b8f50077"><td class="memItemLeft" align="right" valign="top"><a id="a324dadf4a761710bbd25ddb1b8f50077"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>CExit</b> (char x, int <a class="el" href="classCExit.html#a6326bc9332022fce68f8ec0b847a9166">row</a>, int <a class="el" href="classCExit.html#a217a5b54be686f5328c5a13b601a90d6">col</a>)</td></tr>
<tr class="separator:a324dadf4a761710bbd25ddb1b8f50077"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a70f0306c2c94b6df3bdbf0f395e479"><td class="memItemLeft" align="right" valign="top"><a id="a0a70f0306c2c94b6df3bdbf0f395e479"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCExit.html#a0a70f0306c2c94b6df3bdbf0f395e479">discover</a> () const override</td></tr>
<tr class="memdesc:a0a70f0306c2c94b6df3bdbf0f395e479"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the field is discoverable ( if it's either free space or path ) <br /></td></tr>
<tr class="separator:a0a70f0306c2c94b6df3bdbf0f395e479"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a235bbec316d6e9a5cfa3eb74e5df051a"><td class="memItemLeft" align="right" valign="top"><a id="a235bbec316d6e9a5cfa3eb74e5df051a"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCExit.html#a235bbec316d6e9a5cfa3eb74e5df051a">print</a> (ostream &amp;os) const override</td></tr>
<tr class="memdesc:a235bbec316d6e9a5cfa3eb74e5df051a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Exit is discoverable. <br /></td></tr>
<tr class="separator:a235bbec316d6e9a5cfa3eb74e5df051a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71b8507caa187b7017a64657f462f2d8"><td class="memItemLeft" align="right" valign="top"><a id="a71b8507caa187b7017a64657f462f2d8"></a>
<a class="el" href="structTCoord.html">TCoord</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCExit.html#a71b8507caa187b7017a64657f462f2d8">position</a> () const</td></tr>
<tr class="memdesc:a71b8507caa187b7017a64657f462f2d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">prints the exit <br /></td></tr>
<tr class="separator:a71b8507caa187b7017a64657f462f2d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6326bc9332022fce68f8ec0b847a9166"><td class="memItemLeft" align="right" valign="top"><a id="a6326bc9332022fce68f8ec0b847a9166"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCExit.html#a6326bc9332022fce68f8ec0b847a9166">row</a> () const</td></tr>
<tr class="memdesc:a6326bc9332022fce68f8ec0b847a9166"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns position <br /></td></tr>
<tr class="separator:a6326bc9332022fce68f8ec0b847a9166"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a217a5b54be686f5328c5a13b601a90d6"><td class="memItemLeft" align="right" valign="top"><a id="a217a5b54be686f5328c5a13b601a90d6"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCExit.html#a217a5b54be686f5328c5a13b601a90d6">col</a> () const</td></tr>
<tr class="memdesc:a217a5b54be686f5328c5a13b601a90d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns row coord <br /></td></tr>
<tr class="separator:a217a5b54be686f5328c5a13b601a90d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCEntity"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCEntity')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCEntity.html">CEntity</a></td></tr>
<tr class="memitem:a5bedcc5d44f5b4a65d8abd8bc7766588 inherit pub_methods_classCEntity"><td class="memItemLeft" align="right" valign="top"><a id="a5bedcc5d44f5b4a65d8abd8bc7766588"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntity.html#a5bedcc5d44f5b4a65d8abd8bc7766588">isPath</a> () const</td></tr>
<tr class="memdesc:a5bedcc5d44f5b4a65d8abd8bc7766588 inherit pub_methods_classCEntity"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints the object ( it's symbol ) <br /></td></tr>
<tr class="separator:a5bedcc5d44f5b4a65d8abd8bc7766588 inherit pub_methods_classCEntity"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a833f1423fd7e0f2096517b100c44db72 inherit pub_methods_classCEntity"><td class="memItemLeft" align="right" valign="top"><a id="a833f1423fd7e0f2096517b100c44db72"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCEntity.html#a833f1423fd7e0f2096517b100c44db72">~CEntity</a> ()=default</td></tr>
<tr class="memdesc:a833f1423fd7e0f2096517b100c44db72 inherit pub_methods_classCEntity"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the field is path or not. <br /></td></tr>
<tr class="separator:a833f1423fd7e0f2096517b100c44db72 inherit pub_methods_classCEntity"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a340ed09d7f7cd1b6b0cc639cd3d59415"><td class="memItemLeft" align="right" valign="top"><a id="a340ed09d7f7cd1b6b0cc639cd3d59415"></a>
char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCExit.html#a340ed09d7f7cd1b6b0cc639cd3d59415">m_symbol</a></td></tr>
<tr class="memdesc:a340ed09d7f7cd1b6b0cc639cd3d59415"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns col coord <br /></td></tr>
<tr class="separator:a340ed09d7f7cd1b6b0cc639cd3d59415"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4547fe42bdc569efcacf583ab96e3c8e"><td class="memItemLeft" align="right" valign="top"><a id="a4547fe42bdc569efcacf583ab96e3c8e"></a>
<a class="el" href="structTCoord.html">TCoord</a>&#160;</td><td class="memItemRight" valign="bottom"><b>m_pos</b></td></tr>
<tr class="separator:a4547fe42bdc569efcacf583ab96e3c8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>represents exit, place where attackers are heading </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="entities_8h_source.html">entities.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
